#!/bin/bash

set -e
set -o nounset

cd /tmp
# Paperspace's venv doesn't install pip for some reason
python -m venv --without-pip /tmp/lama-venv
wget https://bootstrap.pypa.io/get-pip.py
/tmp/lama-venv/bin/python get-pip.py
/tmp/lama-venv/bin/pip install torch==2.0.1+cu118 torchvision triton --extra-index-url https://download.pytorch.org/whl/cu118
/tmp/lama-venv/bin/pip install xformers==0.0.20 --no-deps
/tmp/lama-venv/bin/pip install pyre-extensions==0.0.29
/tmp/lama-venv/bin/pip install lama-cleaner
/tmp/lama-venv/bin/pip install rembg
